#pragma once
#include "types.h"

extern node* STvarlet(node* arg_node, info* arg_info);
extern node* STvar(node* arg_node, info* arg_info);
extern node* STcall(node* arg_node, info* arg_info);
extern node* STvardecl(node* arg_node, info* arg_info);
extern node* STglobaldef(node* arg_node, info* arg_info);
extern node* STfundef(node* arg_node, info* arg_info);
extern node* STparam(node* arg_node, info* arg_info);
extern node* STfor(node* arg_node, info* arg_info);
extern node* STdoCreateSymTable(node* syntaxtree);